//
//  ViewController.m
//  Expand
//
//  Created by 栗子 on 16/10/11.
//  Copyright © 2016年 栗子. All rights reserved.
//

#import "ViewController.h"
#define LZScreenW [UIScreen mainScreen].bounds.size.width
#define LZScreenh [UIScreen mainScreen].bounds.size.height

@interface ViewController ()<UITableViewDataSource,UITableViewDelegate>
@property(nonatomic,strong)UITableView *tableVIew;
@property(nonatomic,strong)NSArray *array;
@property(nonatomic,strong)NSArray *arr;
@property(nonatomic,assign)BOOL isExpand;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor=[UIColor whiteColor];
    [self initData];

    
    [self createUI];
    
}
-(void)initData{


    self.array=@[@"1",@"2",@"3",@"4",@"a",@"b",@"c"];
    self.arr=@[@"1",@"2",@"3",@"4"];

    
}

-(void)createUI{
    self.tableVIew=[[UITableView alloc]initWithFrame:CGRectMake(0, 0, LZScreenW, LZScreenh)style:UITableViewStylePlain];
    self.tableVIew.delegate=self;
    self.tableVIew.dataSource=self;
    [self.view addSubview:self.tableVIew];
   

    
}
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
    return 2;
}
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    if (section==0) {
            if (self.isExpand) {
            return self.array.count;
        }else{
            return self.arr.count;
        }
        
    }else{
        return 0;
    }
    
   
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    if (indexPath.section==0) {
        static NSString *ID=@"cell";
        UITableViewCell *cell=[tableView dequeueReusableCellWithIdentifier:ID];
        if (!cell) {
            cell=[[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:ID];
            
        }
        if (self.isExpand) {
            cell.textLabel.text=self.array[indexPath.row];
        }else{
            cell.textLabel.text=self.arr[indexPath.row];
        }
        
        return cell;
    }else{
        return nil;
    }
    
}
-(UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section{
    if (section==1) {
        UIButton *btn=[[UIButton alloc]init];
        btn.backgroundColor=[UIColor orangeColor];
        [btn setTitle:@"展开" forState:UIControlStateNormal];
        [btn addTarget:self action:@selector(clikced:) forControlEvents:UIControlEventTouchUpInside];
        btn.tag=1;
        return btn;
    }else{
        return nil;
    }

}

- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section {
    if (section==0) {
        return 0;
    }else{
    return 50.0f;
    }
}
-(void)clikced:(UIButton *)btn{

    
    self.isExpand=!self.isExpand;
    if(self.isExpand){
     
    }
    [self.tableVIew reloadData];
   
    
    
}


@end
